Bug 169479 - Missing man page for efibootmgr
Missing man page for efibootmgr
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: elilo (Show other bugs)
rawhide
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-28 14:00 EDT by Bryan Stillwell
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 14:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Man page from debian (2.94 KB, application/octet-stream)
2005-09-28 14:06 EDT, Bryan Stillwell
no flags Details

  None (edit)
Description Bryan Stillwell 2005-09-28 14:00:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Firefox/1.0.7 (Ubuntu package 1.0.7)

Description of problem:
Using rpm to query the contents of the following package shows that there is not a valid man page for efibootmgr:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/ia64/Fedora/RPMS/elilo-3.4-11.ia64.rpm

I checked on one of my Debian systems and there does appear to be a proper man page for this program with the following comment at the bottom:

"This man page was generated by dann frazier <dannf@debian.org> for the Debian GNU/Linux operating system, but may be used by others."

I believe that it should be standard packaging policy to have man pages for any binary located in /bin, /sbin, /usr/bin, and /usr/sbin.

Version-Release number of selected component (if applicable):
elilo-3.4-11

How reproducible:
Always

Steps to Reproduce:
1. Run "man efibootmgr" and see if a proper man page is displayed.

Actual Results:  # man efibootmgr
No manual entry for efibootmgr

Expected Results:  Proper man page should be displayed.

Additional info:
Comment 1 Bryan Stillwell 2005-09-28 14:06:33 EDT
Created attachment 119382 [details]
Man page from debian
Comment 2 Jeremy Katz 2005-09-28 14:27:52 EDT
Matt -- want to add it to upstream efibootmgr and then I'll pull down a new
tarball? :)
Comment 3 Matt Domsch 2005-09-28 14:41:49 EDT
It's already in the upstream efibootmgr.  I was glad that Dann wrote it.
It's a packaging bug in the elilo RPM script that it's not installing the 
manpage already in the package.  Something like this (untested, may not be to 
usual RPM spec standards):

--- elilo.spec.~1.14.~  2005-03-26 21:53:25.000000000 -0600
+++ elilo.spec  2005-09-28 13:42:15.000000000 -0500
@@ -48,6 +48,7 @@

 mkdir -p $RPM_BUILD_ROOT/usr/sbin
 install -m 755 efibootmgr-%{efibootmgr_ver}/src/efibootmgr/efibootmgr 
$RPM_BUILD_ROOT/usr/sbin
+install -m 644 efibootmgr-%{efibootmgr_ver}/src/man/man8/efibootmgr.8 
$RPM_BUILD_ROOT/usr/share/man/man8

 %clean
 rm -rf $RPM_BUILD_ROOT
@@ -57,6 +58,7 @@
 %doc docs/* README.* LIMITATIONS ChangeLog efibootmgr-%
{efibootmgr_ver}/efibootmgr-doc
 /boot/efi
 /usr/sbin/efibootmgr
+%doc /usr/share/man/man8/efibootmgr.8

 %changelog
 * Thu Mar  3 2005 Jeremy Katz <katzj@redhat.com> - 3.4-11
Comment 4 Jeremy Katz 2005-09-28 14:55:17 EDT
That'll teach me to look closer.  Thanks, will add and do a build
Comment 5 Bryan Stillwell 2005-09-28 15:08:40 EDT
Jeremy and Matt,

Thanks for the quick responses!  Is there any chance this fix can be marked for
inclusion into rhel4u2 or rhel4u3?

Thanks,
Bryan

Note You need to log in before you can comment on or make changes to this bug.